@import url("../fonts/Montserrat/Montserrat.css");

html {
  font-family: 'Montserrat', sans-serif;
  color: rgb(23, 23, 23);
}

h1 {
  font-weight: 400;
  font-size: 22pt;
  color:rgb(125, 125, 125);
}

h2 {
  font-weight: 400;
  font-size: 20pt;
  color:rgb(23, 23, 23);
}

h3 {
  font-weight: 400;
  font-size: 18pt;
  color:rgb(23, 23, 23);
}

h4 {
  font-weight: 500;
  font-size: 14pt;
}

h5 {
  font-weight: 400;
  font-size: 14pt;
}

body {
  margin-right: 0px;
  margin-left: 0px;
}

header {
  height: 65px;
  padding-right: 65px;
  padding-left: 65px;
  margin-top: -12px;
  box-shadow: 0px 0px 16px 0px rgba(0,0,0,0.2);
  position: fixed;
  background-color: #f1f1f1;
  width: 100%;
}

.header-right {
  float:right;
  width:70%;
  text-align: right;
  flex-direction: row-reverse;
  display:flex;
}

.header-right-unit {
  margin-left: 20px;
  margin-right: 20px;
  padding-left: 10px;
  padding-right: 10px;
}

.header-right-subunit {
  flex-direction: column;
  display: flex;
  width: 200px;
  position: absolute; 
  right: 16px;
  height: 100px;
  border: 1px solid lightgrey;
  top: 61px;
  border-top: 1px solid white;
  display: none;
}

.header-right-subunit-unit {
  flex: 1;
  background-color: white;
  width: 200px;
  text-align: center;
  font-weight: 500;
  font-size: 14pt;
  padding-top: 10px;
}

.top {
  height: 45px;
  padding-top: 20px;
  padding-left: 10px;
  margin-right: 0px;
  margin-left: 0px;
  text-align: left;
  border-bottom: 2px solid black;
}

.top-unit {
  font-weight: 500;
  font-size: 18pt;
  padding-left: 20px;
  padding-right: 20px;
  float: left;
}

.top-company {
  border-right: 2px solid black
}

.handle {
  display: inline-block;
  border-top: 3px solid var(--dark);
  font-size: 30pt;
  cursor: grab;
  margin-bottom: 7px;
}

.handle:after, .handle:before {
  display: block;
  content: "";
  
  border-top: 3px solid var(--dark);
}

.handle:before {
  content: "\2261"
}
.handle:hover, .handle:hover:before, .handle:hover:after {
  border-color: var(--primary);
}
.handle:active, .handle:active:before, .handle:active:after {
  cursor: grabbing;
}

.cross {
  display: inline-block;
  cursor: pointer;
  font-weight: 600;
  color: red;
  padding: 0;
  background: none;
  border: none;
  cursor: pointer;
  -webkit-border-radius: 0;
  border-radius: 0;
  font-size: 14pt;
  margin-top: 0px;
  margin-left: 0;
  width: auto;
}

input[type=submit].cross {
  display: inline-block;
  cursor: pointer;
  font-weight: 600;
  color: red;
  padding: 0;
  background: none;
  border: none;
  cursor: pointer;
  -webkit-border-radius: 0;
  border-radius: 0;
  font-size: 22pt;
  margin-top: 0px;
  margin-left: 0;
  width: auto;
}


.main-content-results {
  width: 30%;
  margin-top: 40px;
  float: left;
  overflow-y: scroll;
  max-height: 500px;
  /* Hide scrollbar for IE, Edge and Firefox */
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
.main-content-results::-webkit-scrollbar {
  display: none;
}

.main-content-results-unit {
  border: 1px solid lightgrey;
  border-radius: 3px;
  box-shadow: 2px 5px rgb(240, 240, 240);
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 10px;
  padding-bottom:15px;
  margin-bottom: 30px;
}
.main-content-results-unit:hover{
  cursor:pointer;
}

.main-content-results-unitSelected {
  font-weight: 600;
  width: 400px;
  border-right: 4px solid blue;
}

.main-content-results-unit-category {
  color: grey;
  text-decoration: underline;
  margin-bottom: 10px;
}

.main-content-results-unit-details-text {
  float: left;
  width: 80%;
}

.main-content-results-unit-details-satis {
  float: right;
  width: 20%;
  text-align: right;
  color: orange;
}

.main-content-results-unit-details p {
  margin: 0;
}

#main-content-display {
  width: 65%;
  border: 0;
  float: right;
  height: 600px;
}

.result-information {
  margin-top: 30px;
  padding-left: 10px;
}

.result-information-unit {
  width: 160px;
  float: left;
  margin-right: 100px;
}

.result-information-unit-details {
  font-weight: 400;
  font-size: 14pt;
}

.result-information-unit-value {
  font-weight: 400;
  font-size: 22pt;
}

.result-information-unit-value p {
  margin: 0;
}

.fakeMessage {
  padding-top: 10px;
  padding-left:15px;
  padding-bottom:10px;
  padding-right:15px;
  width: 300px;
  border-radius: 10px;
  background-color: rgb(52, 52, 230);
  color: white;
  margin-left: auto;
  margin-right: auto;
  margin-top: 50px
}

#fakeMessage-top {
  white-space: pre-wrap;
}

#fakeMessage-bottom {
  white-space: pre-wrap;
}

.container-messages-category {

}

.container-messages-category-container {
  display: flex;
  max-width: 100%;
  overflow-x: scroll;
  /* Hide scrollbar for IE, Edge and Firefox */
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

/* Hide scrollbar for Chrome, Safari and Opera */
.container-messages-category-container::-webkit-scrollbar {
  display: none;
}

.table-listEmployees {
  overflow-y: scroll;
  max-height: 700px;
  /* Hide scrollbar for IE, Edge and Firefox */
  -ms-overflow-style: none;  /* IE and Edge */
  scrollbar-width: none;  /* Firefox */
}

.table-listEmployees::-webkit-scrollbar {
  display: none;
}


.container-messages-unit {
  flex: 1;
  padding-left: 20px;
  padding-right: 20px;
  padding-top: 10px;
  padding-bottom: 0px;
  border: 0;
  box-shadow: 6px 5px rgba(222, 180, 210, 0.2);
  margin-right: auto;
  margin-left: 40px;
  background-color: rgba(222, 197, 207, 0.4);
  min-width: 200px;
  max-width: 200px;
  margin-bottom: 40px;
  border-radius: 10px;
}

.textarea-contentEN {
  border: 0;
  padding-top: 10px;
  padding-left:15px;
  padding-bottom:10px;
  padding-right:15px;
  width: 70%;
  min-width: 100px;
  border-radius: 10px;
  background-color: #71DC73;
  color: white;
  font-size: 12pt;
}


/* The sidebar menu */
.sidebar {
    height: 100%; /* Full-height: remove this if you want "auto" height */
    width: 190px; /* Set the width of the sidebar */
    position: fixed; /* Fixed Sidebar (stay in place on scroll) */
    z-index: 1; /* Stay on top */
    top: 0; /* Stay at the top */
    left: 0;
    background-color: #1d3030;
    color: #ffffa7;
    overflow-x: hidden; /* Disable horizontal scroll */
    padding-top: 15px;
    padding-left: 10px;
    padding-right: 10px;
}



/* The navigation menu links */
.sidebar a {
    text-decoration: none;
    color:  white;
    display: block;
}

/* When you mouse over the navigation links, change their color */
.sidebar a:hover {
    color: rgb(255, 184, 184);
}

/* Style page content */
.main {
    padding: 0px;
}

.main-content {
  padding-left: 30px;
  padding-right: 30px;
}

.avatar {
    width: 80%;
    border-radius: 10%;
    display: block;
    margin: auto;
    padding-top: 10px;
    padding-bottom: 10px;
}

.grid-container {
    display: grid;
    grid-template-columns: auto auto auto;
    padding: 20px;
    text-align: center;
}

.post img {
    width: 80%;
    border-radius: 5px;
}

input[type=submit], .fakeSubmit {
  padding: 10px 30px;
  background: black;
  border: 0 none;
  cursor: pointer;
  -webkit-border-radius: 5px;
  border-radius: 2px;
  font-size: 14pt;
  color: white;
  margin-top: 20px;
  margin-left: calc(50% - 100px);
  width: 200px;
}

#manage_addOne:hover {
  cursor: pointer;
}

.employee-field-container {
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.employee-field-input{
  color: #000;
  border: solid 1px black;
  border-radius: 2px;
  margin-top: 20px;
  font-size: 14pt;
  width: 250px;
  flex: 1;
  height: 40px;
  padding: 5px;
}


.column-checkbox {
  display: block;
  position: relative;
  padding-left: 35px;
  margin-bottom: 12px;
  cursor: pointer;
  font-size: 22px;
}

.column-checkbox label {
  display: inline-block;
  vertical-align: middle;
  width: 100%;
}

.column-checkbox label:hover {
  cursor: pointer
}

/* Hide the browser's default checkbox */
.column-checkbox input {
  float: right;
  right: 0;
  height: 50px;
  width: 50px;
  background-color: #eee;
}

/* On mouse-over, add a grey background color */
.column-checkbox:hover input {
  background-color: #ccc;
}

/* When the checkbox is checked, add a blue background */
.column-checkbox input:checked {
  background-color: #2196F3;
}

input[type="checkbox"] { /* change "blue" browser chrome to yellow */
  filter: invert(100%) hue-rotate(18deg) brightness(1.7);
}

#other_employee_button { 
  margin-left: 41%;
  color: grey;
}

#other_employee_button:hover {
  cursor: pointer;
}

#other_employees_div {
  background-color: #eee;
  border-radius: 2px;
  position: fixed;
  top: 100px;
  bottom: 100px;
  left: 50px;
  right: 50px;
  overflow-y:scroll;
  padding-top: 15px;
  padding-left: 10px;
}

.box-of-employees {
  display:flex;
  flex-wrap: wrap;
}

.grey-background {
  background-color: #f1f1f1;
  color:rgb(23, 23, 23);
}

.unscheduleOneOff_form_row:hover {
  cursor: pointer;
}

/* Dropdown Button */
.dropbtn {
  cursor: pointer;
}


/* The container <div> - needed to position the dropdown content */
.dropdown {
  position: relative;
  display: inline-block;
}

/* Dropdown Content (Hidden by Default) */
.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 160px;
  box-shadow: 0px 8px 16px 0px rgba(0,0,0,0.2);
  z-index: 1;
  right: 160px;
  top: 66;
}

/* Links inside the dropdown */
.dropdown-content a {
  color: rgb(106, 106, 106);
  padding: 12px 16px;
  text-decoration: none;
  display: block;
}

.dropdown-content p {
  color: black;
  padding: 0px 16px;
  text-decoration: none;
  display: block;
  font-weight: 600;
}

/* Change color of dropdown links on hover */
.dropdown-content a:hover {background-color: #ddd;}

/* Show the dropdown menu (use JS to add this class to the .dropdown-content container when the user clicks on the dropdown button) */
.show {display:block;}


.selfref_message {
  margin-top:0px;
  margin-right:20px;
  padding-top: 1px;
  padding-bottom: 1px;
  font-size: 14px;
  min-width: 300px;
  max-width: 300px;
  background-color:rgb(219, 118, 194)
}

.selfref_message:hover {
  cursor: pointer;
}